newproperty(:port) do
  include EasyType::YamlProperty
  include EasyType::Validators::PortNumber

  defaultto 389

  desc <<-EOD
    The port number the LDAP server can be connected on.

        ldap_server {my_ldap_server:
          ...
          port => 389,
          ...
        }

  EOD

  defaultto(389)
end
